function [N, l2, h1] = main_delta(n)
  
  % Initialize constants
   
  F_HANDLE = @(x,varargin) ones(size(x,1),1);
  GD_HANDLE = @(x,varargin) zeros(size(x,1),1);
 
  % Initialize mesh
  
  Mesh = load_Mesh(['Coord_Circ_' num2str(n) '.dat'], ['Elem_Circ_' num2str(n) '.dat']); 
  Mesh.ElemFlag = ones(size(Mesh.Elements,1),1);
  Mesh = add_Edges(Mesh);
  Loc = get_BdEdges(Mesh);
  Mesh.BdFlags = zeros(size(Mesh.Edges,1),1);
  Mesh.BdFlags(Loc) = -1;
  Mesh = add_Edge2Elem(Mesh);
  
  % Assemble stiffness matrix and load vector
 
  A = assemMat_LFE(Mesh, @STIMA_Lapl_LFE);
  L = %%%%%%%%%%%%% ?
   
  % Incorporate Dirichlet boundary data
 
  [U,FreeDofs] = assemDir_LFE(Mesh,-1,GD_HANDLE);
  L = L - A*U;
  
  % Solve the linear system
 
  U(FreeDofs) = A(FreeDofs,FreeDofs)\L(FreeDofs);

  % Return

  N  = %%%%%%%%%%%%% ?
  l2 = %%%%%%%%%%%%% ?
  h1 = %%%%%%%%%%%%% ?
 
end
